CatalogFeatures.Builder (Java SE 26 & JDK 26)
Description: declaration: module: java.xml, package: javax.xml.catalog, class: CatalogFeatures, class: Builder
Keywords: javax.xml.catalog.CatalogFeatures.Builder class

# Class CatalogFeatures.Builder

java.lang.Object
javax.xml.catalog.CatalogFeatures.Builder

Enclosing class:
  `CatalogFeatures`

public static class CatalogFeatures.Builder extends Object
The Builder class for building the CatalogFeatures object.

Since:
  9

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CatalogFeatures`
  `build()`
  Returns a CatalogFeatures object built by this builder.
  `CatalogFeatures.Builder`
  `with(CatalogFeatures.Feature feature, String value)`
  Sets the value to a specified Feature.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Method Details

  - ### with

    public CatalogFeatures.Builder with(CatalogFeatures.Feature feature, String value)
    Sets the value to a specified Feature.
    Parameters:
      `feature` - the Feature to be set
      `value` - the value to be set for the Feature
    Returns:
      this Builder instance
    Throws:
      `IllegalArgumentException` - if the value is not valid for the Feature or has the wrong syntax for the `javax.xml.catalog.files` property

  - ### build

    public CatalogFeatures build()
    Returns a CatalogFeatures object built by this builder.
    Returns:
      an instance of CatalogFeatures